> ## Documentation Index
> Fetch the complete documentation index at: https://lightsage.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Prompts



## OpenAPI

````yaml /openapi.json post /v1/prompts
openapi: 3.1.0
info:
  title: Lightsage Public API
  description: Public API for Lightsage CLI and external integrations.
  version: 1.0.0
servers:
  - url: https://api.lightsage.com
    description: Production
security: []
paths:
  /v1/prompts:
    post:
      tags:
        - Prompts
      summary: Create Prompts
      operationId: prompts_create
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePublicPromptsBatchRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicPromptBatchResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - LightsageApiKeyAuth: []
components:
  schemas:
    CreatePublicPromptsBatchRequest:
      properties:
        prompts:
          items:
            $ref: '#/components/schemas/CreatePublicPromptRequest'
          type: array
          maxItems: 100
          minItems: 1
          title: Prompts
      type: object
      required:
        - prompts
      title: CreatePublicPromptsBatchRequest
    PublicPromptBatchResponse:
      properties:
        created:
          items:
            $ref: '#/components/schemas/PublicPrompt'
          type: array
          title: Created
        count:
          type: integer
          title: Count
        errors:
          items:
            $ref: '#/components/schemas/PromptBatchError'
          type: array
          title: Errors
      type: object
      required:
        - created
        - count
      title: PublicPromptBatchResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CreatePublicPromptRequest:
      properties:
        topic_id:
          type: string
          title: Topic Id
        text:
          type: string
          minLength: 1
          title: Text
        platform_ids:
          items:
            type: string
          type: array
          title: Platform Ids
      additionalProperties: false
      type: object
      required:
        - topic_id
        - text
      title: CreatePublicPromptRequest
    PublicPrompt:
      properties:
        id:
          type: string
          title: Id
        topic_id:
          type: string
          title: Topic Id
        text:
          type: string
          title: Text
        language_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Language Id
        region_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Region Id
        status:
          type: string
          enum:
            - active
            - inactive
            - archived
          title: Status
        topic:
          anyOf:
            - $ref: '#/components/schemas/PublicPromptTopic'
            - type: 'null'
        platforms:
          items:
            $ref: '#/components/schemas/PublicPromptPlatform'
          type: array
          title: Platforms
        tags:
          items:
            $ref: '#/components/schemas/PublicPromptTag'
          type: array
          title: Tags
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      type: object
      required:
        - id
        - topic_id
        - text
        - status
      title: PublicPrompt
    PromptBatchError:
      properties:
        index:
          type: integer
          title: Index
        text:
          type: string
          title: Text
        error:
          type: string
          title: Error
      type: object
      required:
        - index
        - text
        - error
      title: PromptBatchError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PublicPromptTopic:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      type: object
      required:
        - id
        - name
      title: PublicPromptTopic
    PublicPromptPlatform:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: PublicPromptPlatform
    PublicPromptTag:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      type: object
      required:
        - id
        - name
      title: PublicPromptTag
  securitySchemes:
    LightsageApiKeyAuth:
      type: apiKey
      in: header
      name: X-Lightsage-Api-Key

````